### 3.13 `sccsdiff`

The `sccsdiff` command compares two revisions stored in an SCCS file, using the system utility `diff`. Options can be passed on to `diff`, for example to set the output format. As with the other utilities in the suite, `sccsdiff` will operate on a list of s-files, but unlike most of the others, it will not process directories named on the command line.

If you wish to compare the working copy of a file with a version stored in the s-file, you should use the command `sccs diffs` (see sccs).

The options for `sccsdiff` are described below.

`--help`

  This option is provided by CSSC but not by other SCCS implementations. It briefly describes the usage of the program.

`--version`

  Indicates the version information for the `sccsdiff` program.

`-p`

  The differences are piped through pr, rather than just being output directly.

`-rSID`

  This option is used to select a revision from the s-file. It must be specified exactly twice, in order to select a pair of revisions to compare.

All other options not appearing above are passed on to the `diff` program. All the non-option arguments will be processed in turn as SCCS files.